@import "../../app/shared/global/variables";

section{
    height: 82vh;
    background-image: url('../../assets/img/bg_login.svg');
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    padding: 0px 10%;
    @media (min-width: 1920px) and (max-width:8000px){
        height: 88vh;
    }
    @media (min-width: 1400px) and (max-width:1920px){
        height: 87vh;
    }
    @media (min-width: 1024px) and (max-width:1400px){
        height: 87vh;
    }

    @media (min-width: 768px) and (max-width:1024px){
        background-position: 65% 0;
    }

    @media (max-width:768px){
        height: 85vh;
        background-image: url('../../assets/img/bg_login-responsive.png');
        background-position: 20%;
    }

    @media (max-width:320px){
        height: auto;
    }
    @media (max-height:400px){
        height: auto;
    }
      
    .container-login {
        width: 35%;
        @media (min-width: 1920px) and (max-width:7000px){
            width: 30%;
        }
        @media (min-width: 1400px) and (max-width:1920px){
            width: 40%;
        }

        @media (min-width: 1024px) and (max-width:1400px){
            width: 35%;
        }
        @media (min-width: 768px) and (max-width:1024px){
            width: 52%;
        }
        @media (min-width: 600px) and (max-width:768px){
            width: 70%;
        }

        @media (max-width:600px){
            width: 100%;
        }
        &__header h4{
            color: $white;
            font-size: 30px;
            line-height: 1.2;
            margin-bottom: 15px;
            @media (min-width: 2800px) and (max-width:8000px){
                font-size: 80px;
            }
            @media (min-width: 1920px) and (max-width:2800px){
                font-size: 38px;
            }
            @media (min-width: 1400px) and (max-width:1920px){
                font-size: 32px;
            }

            @media (min-width: 1024px) and (max-width:1400px){
                font-size: 27px;
            }
            @media (min-width: 600px) and (max-width:1024px){
                font-size: 24px;
            }
            @media(max-width:600px){
                font-size: 40px;
            }
            @media(max-width:500px){
                font-size: 20px;
            }
        }
        &__header img{
            margin-bottom: 20px;
            @media (min-width: 2800px) and (max-width:8000px){
                width: 80%;
                padding: 25px 0px;
            }
            @media (min-width: 1400px) and (max-width:2800px){
                width: 66%;
                margin-bottom: 5px;
            }
            @media (min-width: 1024px) and (max-width:1400px){
                width: 70%;
            }
            @media (min-width: 768px) and (max-width:1024px){
                width: 60%;
            }
            
            @media (max-width:768px){
                width: 75%;
            }
            
            @media(max-width:500px){
                width: 66%;
            }
        }
    }
    .container-login__form {
        background: #00000036;
        border-radius: 30px;
        padding: 10% 13%;
        @media (min-width: 2800px) and (max-width:8000px){
            border-radius: 65px;
            padding: 7% 6%;
        }
        @media (min-width: 1024px) and (max-width:2800px){
            padding: 6% 7%;
        }
        @media (min-width: 1024px) and (max-width:1400px){
            padding: 7%;
        }
        @media (min-width: 768px) and (max-width:1024px){
            padding: 5%;
        }
        @media (max-width:768px){
            border-radius: 25px;
            padding: 6% 6%;
        }
        input{
            border: none;
            border-radius: 50px;
            padding: 10px 15px;
            width: 100%;
            margin-bottom: 15px;
            outline: none;
            box-sizing: border-box;
            @media (min-width: 2800px) and (max-width:8000px){
                padding: 28px 40px;
                font-size: 40px;
                margin-bottom: 35px;
            }
            @media (min-width: 1920px) and (max-width:2800px){
                font-size: 16px;
                padding: 12px 15px;
            }
            @media (min-width: 1400px) and (max-width:1920px){
                padding: 12px 25px;
                margin-bottom: 23px;
                font-size: 18px;
            }
            @media (min-width: 1024px) and (max-width:1400px){
                padding: 7px 15px;
                font-size: 12px;
            }

            @media (min-width: 600px) and (max-width:1024px){
                font-size: 13px;
                padding: 6px 20px;
            }
            @media (max-width: 600px){
                font-size: 20px;
                padding: 10px 25px;
            }
            @media(max-width:500px){
                font-size: 16px;
                padding: 6px 14px;
            }
        }
        label{
            font-size: 9px;
            color: $white;
            text-align: justify;
            @media (min-width: 2800px) and (max-width:8000px){
                font-size: 24px;
                margin-top: 16px;
                padding-left: 15px;
            }
            @media (min-width: 1920px) and (max-width:2800px){
                font-size: 13px;
                margin-top: 7px;
            }
            @media (min-width: 1680px) and (max-width:1920px){
                font-size: 13px;
                margin-top: 7px;
            }
            @media (min-width: 1400px) and (max-width:1680px){
                font-size: 13px;
                margin-top: 1px;
            }
            @media (min-width: 600px) and (max-width:1400px){
                font-size: 13px;
                margin-top: 1px;
            }

            @media (max-width:600px){
                font-size: 13px;
                margin-top: 2px;
            }

            
        }

        .form-captcha{
            margin-bottom: 10px;
            display: flex;
            align-items: center;
            justify-content: center;
            .captcha{
                width: 100%;
                display: contents;
            }
            re-captcha div{
                width: 100%;
                display: contents;
            }
            iframe{
                width: 100% !important;
                background: red;
            }
        }

        .form-terms {
            display: flex;
            margin-bottom: 15px;
            flex-wrap: wrap;
            @media (min-width: 2800px) and (max-width:8000px){
                margin: 35px 0px;
            }
            input{
                width: auto;
                margin-right: 15px;
                /* padding: 42px !important; */
                -ms-transform: scale(1.5);
                -moz-transform: scale(1.5);
                -webkit-transform: scale(1.5);
                -o-transform: scale(1.5);
                margin: 0;
                margin-right: 10px;
                margin-bottom: 10px;
                @media (min-width: 2800px) and (max-width:8000px){
                    height: 55px;
                    padding: 0;
                    margin: 0;
                    margin-right: 10px;
                    margin-bottom: 10px;
                    -ms-transform: scale(2.5);
                    -moz-transform: scale(2.5);
                    -webkit-transform: scale(2.5);
                    -o-transform: scale(2.5);
                }
                @media (min-width: 1920px) and (max-width:2800px){
                    height: 25px;
                    padding: 0;
                    margin: 0;
                    margin-right: 10px;
                    margin-bottom: 0px;
                }
                
                
            }
            small{
                width: 100%;
                font-size: 9px;
                color: white;
                text-align: justify;
                @media (min-width: 2800px) and (max-width:8000px){
                    font-size: 18px;
                }
                @media (min-width: 1920px) and (max-width:2800px){
                    font-size: 10px;
                    margin-top: 8px;
                }
                @media (min-width: 1400px) and (max-width:1920px){
                    font-size: 9px;
                    margin-top: 3px;
                }
                @media (min-width: 600px) and (max-width:1400px){
                    font-size: 9px;
                    margin-top: 3px;
                }
                @media  (max-width:600px){
                    margin-top: 3px;
                }
            }
        }

        .btn-frm {
            width: 100%;
            background: $secondary;
            border: none;
            border-radius: 50px;
            padding: 7px;
            color: $white;
            font-size: 20px;
            cursor: pointer;
            @media (min-width: 2800px) and (max-width:8000px){
                border-radius: 50px;
                padding: 25px;
                font-size: 50px;
            }
            @media (min-width: 1024px) and (max-width:2800px){
                font-size: 19px;
                padding: 10px 15px;
            }
            @media (min-width: 1024px) and (max-width:1400px){
                padding: 7px 15px;
                font-size: 12px;
            }
            @media (min-width: 600px) and (max-width:1024px){
                padding: 7px;
            }
            @media (max-width:600px){
                font-size: 16px;
            }
            @media(max-width:500px){
                font-size: 13px;
                padding: 6px;
            }
        }
    }
}




.error {
  color: red;
  border: 1px solid red !important;
}

@media(max-width:600px){
    .form-captcha{
        transform: scale(.8);
    }
}